<!DOCTYPE html>
<html>
<body>
<!-- Exemplo de um output em HTML -->
área normal de <b>HTML</b>! <br>
<b> SWEDA INFORMÁTICA LTDA </b> <br>
<?php
// Exemplo que acessa as funções PHP.
if (defined("STDIN")) {
    $LF  = "\r\n";
}
else {
    $LF  = "<br>";
}
echo "Esta área já é dentro do <b>PHP</b>.";
echo $LF, $LF;

try 
{
    $objCOM = new COM("SATscript.dll.object") OR die ("NÃO POSSO CRIAR OBJETO");
    if ($objCOM == NULL)
		goto fim; 

// "?????????????????    S T A T U S   ???????????????????????????"
// "Índice       Retorno 0                     Retorno 1 "
// "  1    Impressora operacional        Impressora em falha" 
// "  2    Off Line                      On Line "
// "  3    Papel OK                      Fim de papel "
// "  4    Guilhotina não detectada      Guilhotina detectada "
// "  5    Tampa térmica fechada         Tampa térmica aberta "
// "  6    Sem papel sobre o sensor      Papel posicionado sobre o sensor "
// "  7    Gaveta fechada                Gaveta aberta. "
//
// ****************************************************************************************************
$retPorta = $objCOM->Inicia_Printer_SI300("","");  
echo 'Inicia_Printer_SI300   ->  Porta?    = ', $retPorta, $LF;
$retImp = $objCOM->ImprimeTexto_SI300 ("sweda.com.br");
echo 'Guilhotina() -> TEXTO? = ', $retImp, $LF;
$retSt1 = $objCOM->Status_SI300 ("1");  
echo 'Status_SAT ("1")   ->  Operacional?    = ', $retSt1, $LF;
$retSt2 = $objCOM->Status_SI300 ("2");  
echo 'Status_SAT ("2")   ->  ON/OFF?         = ', $retSt2, $LF;
$retSt3 = $objCOM->Status_SI300 ("3");  
echo 'Status_SAT ("3")   ->  FIM Papel?      = ', $retSt3, $LF;
$retSt4 = $objCOM->Status_SI300 ("4");  
echo 'Status_SAT ("4")   ->  Guilhotina?     = ', $retSt4, $LF;
$retSt5 = $objCOM->Status_SI300 ("5");  
echo 'Status_SAT ("5")   ->  Tampa?          = ', $retSt5, $LF;
$retSt6 = $objCOM->Status_SI300 ("6");  
echo 'Status_SAT ("6")   ->  Papel acabando? = ', $retSt6, $LF;
$retSt7 = $objCOM->Status_SI300 ("7");  
echo 'Status_SAT ("7")   ->  Gaveta?         = ', $retSt7, $LF;
$gt = $objCOM->WriteChavesConversorINI_SI300("TAMANHO_QRCODE","8");
echo 'GET() -> GET? = ', $gt, $LF;
$st = $objCOM->GetChavesConversorINI_SI300("TAMANHO_QRCODE");
echo 'SET() -> SET? = ', $st, $LF;
$texto = "sweda.com.br";
$retqrc = $objCOM->ImprimeTexto_SI300 ("<ce><largbarras>1</largbarras><altbarras>40</altbarras><code128>35160453485215000106599000043880001819432760</code128></ce><sl>2</sl><ce><qrcode>http://sweda.com.br/produtos/impressoras-nao-fiscais/impressoras-termicas-serie-si300s/</qrcode></ce>");
echo 'QRCODE() -> TEXTO? = ', $retqrc, $LF;
$retorno = $objCOM->ImprimeTexto_SI300 ("<gui></gui>");
echo 'Guilhotina() -> TEXTO? = ', $retorno, $LF;



// ****************************************************************************************************
} 
catch (Exception $e) 
{
   echo 'resultado: ', $e->getMessage(), "\n";
   goto fim;
}

   fim:

?>
</body>
</html>

